#ifndef LISTUPDATEDIALOG_H
#define LISTUPDATEDIALOG_H

#include "certificatelist.h"
#include <QDialog>
#include <QMainWindow>
#include <QTextEdit>
#include <QListWidgetItem>
/**
 * @file listupdatedialog.h
 * @brief The dialog for certificate selection.
 */

class QListWidget;

class ListUpdateDialog : public QDialog
{
    Q_OBJECT
public:
    /** @brief Create a list update dialog for the listToInstall */
    ListUpdateDialog(QMainWindow *parent, const CertificateList &listToInstall);

private:
    CertificateList mCertificateList;
    void setupGUI();

    QListWidget *mCertListWidget;
    QTextEdit *mDetailWidget;

private slots:
    void installerError(const QString& errMsg);
    void executeUpdate();
    void showDetails(QListWidgetItem*);
};

#endif // LISTUPDATEDIALOG_H
